# Interface methods for submodule: LabelStatisticsImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSinkProxy as _ImageSinkProxy


# Interface methods for class: LabelStatisticsImageFilter
class LabelStatisticsImageFilterProxy(_ImageSinkProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetUseHistograms(self, _arg: bool) -> None:
		""""""
		...

	def GetUseHistograms(self) -> bool:
		""""""
		...

	def UseHistogramsOn(self) -> None:
		""""""
		...

	def UseHistogramsOff(self) -> None:
		""""""
		...

	def GetValidLabelValues(self) -> Sequence[int]:
		""""""
		...

	def SetLabelInput(self, _arg) -> None:
		""""""
		...

	def GetLabelInput(self):
		""""""
		...

	def HasLabel(self, label: int) -> bool:
		""""""
		...

	def GetNumberOfObjects(self) -> int:
		""""""
		...

	def GetNumberOfLabels(self) -> int:
		""""""
		...

	def GetMinimum(self, label: int) -> float:
		""""""
		...

	def GetMaximum(self, label: int) -> float:
		""""""
		...

	def GetMean(self, label: int) -> float:
		""""""
		...

	def GetMedian(self, label: int) -> float:
		""""""
		...

	def GetSigma(self, label: int) -> float:
		""""""
		...

	def GetVariance(self, label: int) -> float:
		""""""
		...

	def GetBoundingBox(self, label: int) -> Sequence[int]:
		""""""
		...

	def GetRegion(self, label: int) -> ImageRegion:
		""""""
		...

	def GetSum(self, label: int) -> float:
		""""""
		...

	def GetCount(self, label: int) -> int:
		""""""
		...

	def GetHistogram(self, label: int):
		""""""
		...

	def SetHistogramParameters(self, numBins: int, lowerBound: float, upperBound: float) -> None:
		""""""
		...

	def SetNumberOfStreamDivisions(self, n: int) -> None:
		""""""
		...

	def GetNumberOfStreamDivisions(self) -> int:
		""""""
		...

